<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Articles/Modèles/Modifer"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Modifier un modèle</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!modeleForm.invalid && save()" #modeleForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Nom du modèle</mat-label>
            <input name="modele" min="3" minlength="3" [minLength]="3" matInput placeholder="Ex. BMW 620" [(ngModel)]="modeleToUpdate.modele" required>
            <mat-error *ngIf="modeleToUpdate.modele==null || modeleToUpdate.modele.length <3">Une valeur de minimum 3 caractères est requise</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!modeleForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>

